classification
Title: setobject.c no-op typo
Type: behavior Stage: resolved
Components: Interpreter Core Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: anthonybaxter, arigo, petri.lehtinen, python-dev, rhettinger, stutzbach
Priority: normal Keywords:

Created on 2010-11-24 13:21 by arigo, last changed 2011-10-30 19:23 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
diff1 arigo, 2010-11-24 13:21 Probable typo.
Messages (6)
msg122274 - (view) Author: Armin Rigo (arigo) * (Python committer) Date: 2010-11-24 13:21
Probably a typo in setobject.c.

The patch attached here does not really change anything but fixes the typo, leading to slightly clearer code and avoiding one level of recursion.  All tests still pass.
msg122297 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2010-11-24 19:13
Try to match the whitespace convention of the surrounding code.
msg122299 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2010-11-24 19:45
A few lines later, a similar change can be made for set_discard.
msg146634 - (view) Author: Roundup Robot (python-dev) Date: 2011-10-30 12:06
New changeset 72de2ac8bb4f by Petri Lehtinen in branch '2.7':
Avoid unnecessary recursive function calls (closes #10519)
http://hg.python.org/cpython/rev/72de2ac8bb4f

New changeset 664bf4f3a820 by Petri Lehtinen in branch '3.2':
Avoid unnecessary recursive function calls (closes #10519)
http://hg.python.org/cpython/rev/664bf4f3a820

New changeset a5c4ae15b59d by Petri Lehtinen in branch 'default':
Avoid unnecessary recursive function calls (#closes #10519)
http://hg.python.org/cpython/rev/a5c4ae15b59d
msg146636 - (view) Author: Roundup Robot (python-dev) Date: 2011-10-30 12:38
New changeset 7ddc7b339a8b by Petri Lehtinen in branch '2.7':
Fix the return value of set_discard (issue #10519)
http://hg.python.org/cpython/rev/7ddc7b339a8b

New changeset b643458a0108 by Petri Lehtinen in branch '3.2':
Fix the return value of set_discard (issue #10519)
http://hg.python.org/cpython/rev/b643458a0108

New changeset f634102aca01 by Petri Lehtinen in branch 'default':
Fix the return value of set_discard (issue #10519)
http://hg.python.org/cpython/rev/f634102aca01
msg146655 - (view) Author: Roundup Robot (python-dev) Date: 2011-10-30 19:23
New changeset 5c17394b0b95 by Petri Lehtinen in branch '3.2':
Add Misc/NEWS entry for issue #10519
http://hg.python.org/cpython/rev/5c17394b0b95

New changeset 3bda54275817 by Petri Lehtinen in branch '2.7':
Add Misc/NEWS entry for issue #10519
http://hg.python.org/cpython/rev/3bda54275817

New changeset a912ea48dd4c by Petri Lehtinen in branch 'default':
Add Misc/NEWS entry for issue #10519
http://hg.python.org/cpython/rev/a912ea48dd4c
History
Date User Action Args
2011-10-30 19:23:06python-devsetmessages: + msg146655
2011-10-30 12:38:40python-devsetmessages: + msg146636
2011-10-30 12:06:00python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg146634

resolution: accepted -> fixed
stage: resolved
2011-10-29 20:58:32arigosetassignee: arigo ->
2011-10-29 18:35:14petri.lehtinensetnosy: + petri.lehtinen
2010-11-24 19:45:50rhettingersetassignee: anthonybaxter -> arigo
messages: + msg122299
2010-11-24 19:13:15rhettingersetnosy: + anthonybaxter
messages: + msg122297

assignee: rhettinger -> anthonybaxter
resolution: accepted
2010-11-24 18:57:48rhettingersetassignee: rhettinger
2010-11-24 13:28:14pitrousetnosy: + rhettinger, stutzbach

versions: + Python 3.1, Python 3.2
2010-11-24 13:21:49arigocreate